Summary:     GNU Portable Threads
Name:        pth
Version:     2.0.0
Release:     2.pp
License:     LGPL
Group:       Development/Libraries
Source0:     ftp://ftp.ossp.org/pkg/lib/pth/pth-%{version}.tar.gz
URL:         http://www.gnu.org/software/pth/
Buildroot:   /var/tmp/pth-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    pth.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
ExclusiveOS: linux

%description
GNU Portable Threads (Pth) is a very portable POSIX/ANSI-C
based library for Unix platforms providing non-preemptive
priority-based scheduling for multiple threads of execution
("multithreading") inside server applications. All threads
run in the same address space, but each thread has its own
individual program-counter, run-time stack, signal mask and
errno variable. The scheduling is done in a cooperative way,
i.e. the threads are dispatched based on priority and pending
events. The event facility allows threads to wait until
various types of events occur, including pending I/O on
filedescriptors, elapsed timers, pending I/O on message
ports, thread and process termination, and even customized
callback functions.


%package devel
Group:       Development/Libraries
Summary:     The development files for GNU Portable Threads
Requires:    pth = %{version}-%{release} pth.pp
Provides:    pth-devel.pp

%description devel
The pth-devel package contains the development libraries and
header files for developing software with GNU Portable Threads.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static         \
	--with-fdsetsize=8192
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS ChangeLog COPYING HACKING HISTORY INSTALL
%doc NEWS PORTING README SUPPORT TESTS THANKS USERS
/usr/lib/*.so.*
/usr/share/*

%files devel
%defattr(-,root,root)
/usr/bin/*
/usr/include/*
/usr/lib/*.so
/usr/lib/*.*a
/usr/share/man/man1/*
/usr/share/man/man3/*


%changelog
* Thu Nov 20 2003 peter.pramberger@1012surf.net
- created

